package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrOverhaulPipe;

/**
 * 检修项目-管线Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrOverhaulPipeService 
{
    /**
     * 查询检修项目-管线
     * 
     * @param id 检修项目-管线ID
     * @return 检修项目-管线
     */
    public TPssrOverhaulPipe selectTPssrOverhaulPipeById(Long id);

    /**
     * 查询检修项目-管线列表
     * 
     * @param tPssrOverhaulPipe 检修项目-管线
     * @return 检修项目-管线集合
     */
    public List<TPssrOverhaulPipe> selectTPssrOverhaulPipeList(TPssrOverhaulPipe tPssrOverhaulPipe);

    /**
     * 新增检修项目-管线
     * 
     * @param tPssrOverhaulPipe 检修项目-管线
     * @return 结果
     */
    public int insertTPssrOverhaulPipe(TPssrOverhaulPipe tPssrOverhaulPipe);

    /**
     * 修改检修项目-管线
     * 
     * @param tPssrOverhaulPipe 检修项目-管线
     * @return 结果
     */
    public int updateTPssrOverhaulPipe(TPssrOverhaulPipe tPssrOverhaulPipe);
    public int updateAllBySubId(TPssrOverhaulPipe tPssrOverhaulPipe);

    /**
     * 批量删除检修项目-管线
     * 
     * @param ids 需要删除的检修项目-管线ID
     * @return 结果
     */
    public int deleteTPssrOverhaulPipeByIds(Long[] ids);

    /**
     * 删除检修项目-管线信息
     * 
     * @param id 检修项目-管线ID
     * @return 结果
     */
    public int deleteTPssrOverhaulPipeById(Long id);
}
